
Lookup Editor - Bug #2510

Upgrading to Splunk 8.0.0 causes SplunkWeb to not start

11/12/2019 07:49 PM - Luke Murphey

Status: Closed Start date: 11/12/2019

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

2019-11-12 18:34:59,331 ERROR   [5dcafb52437f3b120e8d90] root:770 - invalid syntax (LookupFileEdit

or.py, line 69)

Traceback (most recent call last):

  File "/opt/splunk/lib/python3.7/site-packages/splunk/appserver/mrsparkle/root.py", line 132, in 

<module>

    from splunk.appserver.mrsparkle.controllers.top import TopController

  File "/opt/splunk/lib/python3.7/site-packages/splunk/appserver/mrsparkle/controllers/top.py", li

ne 27, in <module>

    from splunk.appserver.mrsparkle.controllers.admin import AdminController

  File "/opt/splunk/lib/python3.7/site-packages/splunk/appserver/mrsparkle/controllers/admin.py", 

line 25, in <module>

    from splunk.appserver.mrsparkle.controllers.appinstall import AppInstallController

  File "/opt/splunk/lib/python3.7/site-packages/splunk/appserver/mrsparkle/controllers/appinstall.

py", line 22, in <module>

    from splunk.appserver.mrsparkle.lib import module

  File "/opt/splunk/lib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/module.py", line 46

5, in <module>

    moduleMapper = ModuleMapper()

  File "/opt/splunk/lib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/module.py", line 83

, in __init__

    self.installedModules = self.getInstalledModules()

  File "/opt/splunk/lib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/module.py", line 28

, in helper

    return f(*a, **kw)

  File "/opt/splunk/lib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/module.py", line 44

8, in getInstalledModules

    mods = self.getModuleList(root)

  File "/opt/splunk/lib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/module.py", line 37

, in helper

    return f(*a, **kw)

  File "/opt/splunk/lib/python3.7/site-packages/splunk/appserver/mrsparkle/lib/module.py", line 22

3, in getModuleList

    mod = __import__(modname)

  File "/opt/splunk/etc/apps/lookup_editor/appserver/modules/LookupFileEditor/LookupFileEditor.py"

, line 69

    except Exception, e :

                    ^

SyntaxError: invalid syntax

History

#1 - 11/12/2019 07:52 PM - Luke Murphey

The app no longer includes this module. Trying to remove it.

#2 - 12/06/2019 06:34 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
